=== debian/changelog ===
libpano13 (2.9.17+dfsg-3) experimental; urgency=low

  * 21_ftbfsgnuhurd.diff: Fix FTBFS on GNU/hurd. 

 -- Andreas Metzler <ametzler@debian.org>  Tue, 26 Oct 2010 19:34:56 +0200

libpano13 (2.9.17+dfsg-2) experimental; urgency=low

  * 20_fixpowerc.diff: Fix endless loop on PowerPC of commandline utils (used
    in testsuite). Closes: #599092

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Oct 2010 19:07:52 +0200

libpano13 (2.9.17+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Reintroduce support for dropping files to debian/rules' get-orig-source
    target.
  * Drop Visual C++ files from tarball, use +dfsg versioning.
  * Change shlibs to the normal >= relation again, since this is a stable
    release.
  * Standards-Version: 3.9.1.
  * Strip down libpano13 package description. Closes: #594596

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Oct 2010 08:59:48 +0200

libpano13 (2.9.17~beta2-1) experimental; urgency=low

  * New upstream version.
  * Drop 20_bumpsoname.diff.
  * Bump shlibs.
  * Switch to dpkg-source v3.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Jul 2010 08:24:39 +0200

libpano13 (2.9.15~beta2-1) experimental; urgency=low

  * New upstream version.
  * Drop patches applied upstream:
    + 20_libpano13+kbsd.diff
    + 30_undo_soname.bump
  * 20_bumpsoname.diff: Bump soname, now that the ABI really has changed.
  * Change library packagename to match soname.
  * Tighten libpano13-2 shlibs file to exactly match upstream version while
    still preserving binNMU-ability. Upstream might break the ABI another time
    without wanting to change the soname again before 2.9.15 is finally
    released. This tight dependency should be removed after the final release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 17 Sep 2009 15:20:46 +0200

libpano13 (2.9.15~beta1-1) experimental; urgency=low

  * New upstream pre-release.
    + debian/patches/30_undo_soname.bump - Undo unnecessary soname change.
    + Bump shlibs. (Newly added function.)
    + Ship newly available pkgconfig file.
  * Run upstream testsuite. Since it requires tiffcmp add libtiff-tools to
    build-depends. The upstream tarball is incomplete, it is missing some
    reference files for the testsuite. Pull them from upstream SVN and add
    them to the (repackaged) tarball.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 Sep 2009 10:29:22 +0200

libpano13 (2.9.14-2) unstable; urgency=low

  * Stop shipping la file in -dev package. (Squeeze release goal).
  * debian/patches/20_libpano13+kbsd.diff - Fix FTBFS on GNU/kFreeBSD. Patch
    by Cyril Brulebois. Closes: #543998

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Aug 2009 14:36:20 +0200

libpano13 (2.9.14-1) unstable; urgency=low

  * Upload to unstable.
  * [Lintian] Fix typo in debian control: s/algorithmical/algorithmic/.
  * Standards-Version: 3.8.2, no changes required.
  * Improve on watchfile to handle rc and beta versions.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Aug 2009 14:01:24 +0200

libpano13 (2.9.14~rc1-1) experimental; urgency=low

  * New upstream prerelease.
    + New soname due to ABI breakage (new member in public struct). Change
      package name of library package.
    + Does not contain non-free files PixMap.c PixMap.h, no need for .dfsg
      version anymore. Also does away with the need for a complex
      get-orig-source
      target.
    + debian/manpages/* now shipped in upstream-tarball. Adapt build-system
      accordingly.
  * [lintian] Add ${misc:Depends}.
  * Standards version 3.8.1.
    + [debian/control] Add Homepage field.
    + Add rudimentary debian/README.source, basically pointing to quilt
      documentation.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 May 2009 19:56:34 +0200

libpano13 (2.9.12.dfsg-2) unstable; urgency=low

  * Drop Java support altogether (Closes: #477884). While checking that
    bugreport, it appeared that “HasJava” is only used in a single source
    file, which happens to be commented out.
     - debian/control: Drop libgcj-dev from Build-Depends.
     - debian/rules: Turn “--with-java” into “--without-java”.
     - debian/rules: Not bumping shlibs since no symbols changed (as
       expected given the above explanation).
  * Update my mail address in Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 26 Apr 2008 12:29:49 +0200

libpano13 (2.9.12.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #433261), based on libpano12/2.8.6-0.1.
  * Repack because of the license of PixMap.{c,h}. These files seem to be
    needed only on Mac anyway:
     - Add a get-orig-source target to debian/rules.
     - Add version mangling to debian/watch.
  * The following glitches have been forwarded upstream so that these
    files will get proper copyright and license statements in further
    releases:
     - Copyright years are missing for jpegicc.{c,h}.
     - Copyright and license are missing for f2c.h. This file is available
       in the libf2c2 source package, and its copyright file has been used
       to complete this one.
     - Copyright and license are missing for rgbe.{c,h}. These files are
       available in the enblend source package, and its copyright file has
       been used to complete this one. The copyright by Bruce Walter is
       the original copyright notice, these files are now public domain.
  * Move from libpano12 to libpano13:
     - Update debian/copyright.
     - Update debian/watch, get rid of “debian uupdate”.
     - Update package names in debian/control, and clear the following
       fields: Provides, Conflicts, Replaces.
     - Add  “Conflicts: libpano12-bin” and “Replaces: libpano12-bin” to
       libpano13-bin.
     - Rename debian/libpano12* into debian/libpano13*.
     - Update debian/libpano13-bin.install:
        - Rename pano12info into panoinfo.
        - Rename PTOptimizer into PToptimizer.
     - Update debian/libpano13-bin.manpages accordingly.
     - Rename the manpages accordingly.

