=== debian/control ===
Source: libpano13
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>, Florent Bayle <fbayle@bigfoot.com>, Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper (>= 5), cdbs, libpng12-dev, libjpeg62-dev, libtiff4-dev, autotools-dev, chrpath, libtiff-tools
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/libpano.git
Vcs-Git: git://git.debian.org/git/pkg-phototools/libpano.git
Homepage: http://panotools.sourceforge.net/

Package: libpano13-dev
Section: libdevel
Architecture: any
Depends: libpano13-2 (= ${binary:Version}), ${misc:Depends}
Description: panorama tools library development files
 This package contains the panoramatools library. It provides basic
 algorithmic tools to generate, edit and transform many kinds of
 panoramic images.
 .
 This package holds static libraries and headers needed by developers
 who wish to use libpano13 in their programs.

Package: libpano13-2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libpano13-bin
Description: panorama tools library
 This package contains the panoramatools library. It provides basic
 algorithmic tools to generate, edit and transform many kinds of
 panoramic images.

Package: libpano13-bin
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpano12-bin
Replaces: libpano12-bin
Description: panorama tools utilities
 This package contains the following tools, all part of the Panorama Tools
 library, and supposed to make it easy to work with panoramic images:
  * panoinfo    - List details about the libpano13 library
  * PTblender   - Colour and brightness correction of panoramas
  * PTcrop      - Crop TIFF images
  * PTinfo      - Display information about a panotools-generated image
  * PTmasker    - Compute stitching masks
  * PTmender    - Replacement for PTStitcher
  * PToptimizer - Wrapper around control point optimization routines
  * PTroller    - Merge several images into a single one
  * PTtiff2psd  - Convert a set of TIFF files into a Photoshop PSD file
  * PTtiffdump  - Compare two TIFF images
  * PTuncrop    - Uncrop TIFF images
