## libpano13 2.9.18+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -177,6 +177,7 @@
 	bmp.c
 	ColourBrightness.c
 	correct.c
+        dump.c
 	fftn.c
 	file.c
 	filter.c
