=== tests/simpleStitch/CMakeLists.txt ===
# This file is part of libpano13, the hugin build environment.
# Licence details can be found in the file gpl.txt.
#
# Copyright (c) 2009 Kornel Benko, <Kornel.Benko@berlin.de>
#

project(test1)

prepare_test(simpleStitch test1 "*.jpg")
