=== debian/changelog ===
libpano13 (2.9.18+dfsg-6ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Thu, 26 Dec 2013 18:16:38 -0500

libpano13 (2.9.18+dfsg-6ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 May 2013 00:54:43 -0400

libpano13 (2.9.18+dfsg-6) unstable; urgency=low

  * Switch from cdbs to dh (v9). We now append to default LDFLAGS instead of
    overriding them.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 12 May 2013 15:34:03 +0200

libpano13 (2.9.18+dfsg-5) unstable; urgency=low

  * Source upload with no changes to fix multi-arch co-installability broken
    by binNMUs.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Apr 2013 08:55:24 +0200

libpano13 (2.9.18+dfsg-4ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Sep 2012 14:16:13 +0100

libpano13 (2.9.18+dfsg-4) unstable; urgency=low

  * Convert to multi-arch.
    + configure with --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH), update
      chrpath invocation and debian/*.install accordingly.
    + Bump cdbs Build-Depends to 0.4.93 (required for expanding
      $(DEB_HOST_MULTIARCH)).
    + Bump debhelper b-d to 8.1.3 (for ${misc:Pre-Depends}).
    + Runtime library is Multi-Arch: same and has Pre-Depends:
      ${misc:Pre-Depends}, -bin (helper binaries) is 
      Multi-Arch: foreign. -dev is unchanged.
    + [lintian] Drop section setting from libpano13-2 package stanza.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 Feb 2012 11:18:42 +0100

libpano13 (2.9.18+dfsg-3) unstable; urgency=low

  * Build-Depend on libjpeg-dev instead of libjpeg62-dev. Closes: #634142

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jul 2011 14:16:50 +0200

libpano13 (2.9.18+dfsg-2) unstable; urgency=low

  * libpano13-2 now Breaks/Replaces: libpano13-1 (>= 2.9.15~beta2-1). This
    fixes cross-upgrades from the (slightly broken) packages in hugin PPA.
    (LP: #761760)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 May 2011 14:46:00 +0200

libpano13 (2.9.18+dfsg-1) unstable; urgency=low

  * New upstream version, identical to 2.9.18~rc2.
  * Drop CFLAGS += -Wall again, it is set by default.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 May 2011 14:17:45 +0200

libpano13 (2.9.18~rc2+dfsg-2) experimental; urgency=low

  * 20_initfilenameargs.diff Fix sporadic ftbfs.
    https://bugs.launchpad.net/panotools/+bug/734867

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Mar 2011 14:34:57 +0100

libpano13 (2.9.18~rc2+dfsg-1) experimental; urgency=low

  * New upstream version. 

 -- Andreas Metzler <ametzler@debian.org>  Mon, 07 Mar 2011 19:09:57 +0100

libpano13 (2.9.18~rc1+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Update 10_workaround_libtool_link_as_needed_bug for libtool 2.2.6b.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Mar 2011 10:17:13 +0100

libpano13 (2.9.18~beta1+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Drop patches included uptream. (20_fixpowerc.diff 21_ftbfsgnuhurd.diff)
  * Set CFLAGS += -Wall, the latest combination of cdbs + dpkg-dev does not
    seem to set it by default.
  * Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Feb 2011 16:04:50 +0100

libpano13 (2.9.17+dfsg-4) unstable; urgency=low

  * Remove Florent Bayle from Uploaders. Thank you for your work.
    Closes: #554063
  * Also drop Cyril Brulebois from Uploaders. Thank you very much for your
    efforts.
  * Use debhelper compatibility level 7.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Feb 2011 18:24:30 +0100

libpano13 (2.9.14-3) unstable; urgency=medium

  * 20_fixpowerc.diff: Fix endless loop of commandline utils on PowerPC (used
    in testsuite). Closes: #599092

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Oct 2010 19:35:23 +0200
