=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: libpano13
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Cyril Brulebois <kibi@debian.org>, Florent Bayle <fbayle@bigfoot.com>, Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 5), cdbs, libpng12-dev, libjpeg62-dev, libtiff4-dev, autotools-dev, chrpath, libtiff-tools
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Andreas Metzler <ametzler@debian.org>
+Build-Depends: debhelper (>= 9), libpng12-dev,
+  libjpeg-dev, libtiff-dev, dh-autoreconf, chrpath, libtiff-tools
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=pkg-phototools/libpano.git
 Vcs-Git: git://git.debian.org/git/pkg-phototools/libpano.git
 Homepage: http://panotools.sourceforge.net/
@@ -22,10 +24,14 @@
  who wish to use libpano13 in their programs.
 
 Package: libpano13-2
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: libpano13-bin
+# Workaround for breakage in hugin PPA
+Breaks: libpano13-1 (>= 2.9.15~beta2-1)
+Replaces: libpano13-1 (>= 2.9.15~beta2-1)
+Multi-Arch: same
 Description: panorama tools library
  This package contains the panoramatools library. It provides basic
  algorithmic tools to generate, edit and transform many kinds of
@@ -37,6 +43,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpano12-bin
 Replaces: libpano12-bin
+Multi-Arch: foreign
 Description: panorama tools utilities
  This package contains the following tools, all part of the Panorama Tools
  library, and supposed to make it easy to work with panoramic images:
