## libpano13 2.9.19%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9), libpng12-dev,
-  libjpeg-dev, libtiff-dev, dh-autoreconf, chrpath, libtiff-tools
-Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=pkg-phototools/libpano.git
-Vcs-Git: git://git.debian.org/git/pkg-phototools/libpano.git
+Build-Depends: debhelper (>= 10), libpng-dev,
+  libjpeg-dev, libtiff-dev, chrpath, libtiff-tools
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/libpano.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/libpano.git -b libpano13/unstable
 Homepage: http://panotools.sourceforge.net/
 
 Package: libpano13-dev
 Section: libdevel
 Architecture: any
-Depends: libpano13-2 (= ${binary:Version}), ${misc:Depends}
+Depends: libpano13-3 (= ${binary:Version}), ${misc:Depends}
 Description: panorama tools library development files
  This package contains the panoramatools library. It provides basic
  algorithmic tools to generate, edit and transform many kinds of
@@ -23,14 +23,11 @@
  This package holds static libraries and headers needed by developers
  who wish to use libpano13 in their programs.
 
-Package: libpano13-2
+Package: libpano13-3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: libpano13-bin
-# Workaround for breakage in hugin PPA
-Breaks: libpano13-1 (>= 2.9.15~beta2-1)
-Replaces: libpano13-1 (>= 2.9.15~beta2-1)
 Multi-Arch: same
 Description: panorama tools library
  This package contains the panoramatools library. It provides basic
